/v1/test_helpers/issuing/personalization_designs/{personalization_design}/reject
Updates the status of the specified testmode personalization design object to rejected.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| personalization_design | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
| rejection_reasons | object | required |
| └ card_logo | array | optional |
| └ carrier_text | array | optional |
Error response.
Successful response.
POST /v1/test_helpers/issuing/personalization_designs/{personalization_design}/reject
/v1/test_helpers/issuing/settlements
Allows the user to create an Issuing settlement.
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| bin | string | required |
| expand | array | optional |
| network | string | optional |
| currency | string | required |
| clearing_date | integer | required |
| net_total_amount | integer | required |
| transaction_count | integer | optional |
| transaction_amount | integer | optional |
| interchange_fees_amount | integer | optional |
| network_settlement_identifier | string | optional |
Error response.
Successful response.
POST /v1/test_helpers/issuing/settlements
/v1/test_helpers/issuing/settlements/{settlement}/complete
Allows the user to mark an Issuing settlement as complete.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| settlement | path | required | string | The settlement token to mark as complete. |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
Error response.
Successful response.
POST /v1/test_helpers/issuing/settlements/{settlement}/complete
/v1/test_helpers/issuing/transactions/create_force_capture
Allows the user to capture an arbitrary amount, also known as a forced capture.
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| card | string | required |
| amount | integer | required |
| expand | array | optional |
| currency | string | optional |
| merchant_data | object | optional |
| └ url | string | optional |
| └ city | string | optional |
| └ name | string | optional |
| └ state | string | optional |
| └ country | string | optional |
| └ category | string | optional |
| └ network_id | string | optional |
| └ postal_code | string | optional |
| └ terminal_id | string | optional |
| purchase_details | object | optional |
| └ fuel | object | optional |
| └ type | string | optional |
| └ unit | string | optional |
| └ quantity_decimal | string | optional |
| └ unit_cost_decimal | string | optional |
| └ industry_product_code | string | optional |
| └ fleet | object | optional |
| └ service_type | string | optional |
| └ purchase_type | string | optional |
| └ reported_breakdown | object | optional |
| └ tax | object | optional |
| └ fuel | object | optional |
| └ non_fuel | object | optional |
| └ cardholder_prompt_data | object | optional |
| └ user_id | string | optional |
| └ odometer | integer | optional |
| └ driver_id | string | optional |
| └ unspecified_id | string | optional |
| └ vehicle_number | string | optional |
| └ flight | object | optional |
| └ segments | array | optional |
| └ carrier | string | optional |
| └ flight_number | string | optional |
| └ service_class | string | optional |
| └ stopover_allowed | boolean | optional |
| └ arrival_airport_code | string | optional |
| └ departure_airport_code | string | optional |
| └ refundable | boolean | optional |
| └ departure_at | integer | optional |
| └ travel_agency | string | optional |
| └ passenger_name | string | optional |
| └ lodging | object | optional |
| └ nights | integer | optional |
| └ check_in_at | integer | optional |
| └ receipt | array | optional |
| └ total | integer | optional |
| └ quantity | string | optional |
| └ unit_cost | integer | optional |
| └ description | string | optional |
| └ reference | string | optional |
Error response.
Successful response.
POST /v1/test_helpers/issuing/transactions/create_force_capture
/v1/test_helpers/issuing/transactions/create_unlinked_refund
Allows the user to refund an arbitrary amount, also known as a unlinked refund.
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| card | string | required |
| amount | integer | required |
| expand | array | optional |
| currency | string | optional |
| merchant_data | object | optional |
| └ url | string | optional |
| └ city | string | optional |
| └ name | string | optional |
| └ state | string | optional |
| └ country | string | optional |
| └ category | string | optional |
| └ network_id | string | optional |
| └ postal_code | string | optional |
| └ terminal_id | string | optional |
| purchase_details | object | optional |
| └ fuel | object | optional |
| └ type | string | optional |
| └ unit | string | optional |
| └ quantity_decimal | string | optional |
| └ unit_cost_decimal | string | optional |
| └ industry_product_code | string | optional |
| └ fleet | object | optional |
| └ service_type | string | optional |
| └ purchase_type | string | optional |
| └ reported_breakdown | object | optional |
| └ tax | object | optional |
| └ fuel | object | optional |
| └ non_fuel | object | optional |
| └ cardholder_prompt_data | object | optional |
| └ user_id | string | optional |
| └ odometer | integer | optional |
| └ driver_id | string | optional |
| └ unspecified_id | string | optional |
| └ vehicle_number | string | optional |
| └ flight | object | optional |
| └ segments | array | optional |
| └ carrier | string | optional |
| └ flight_number | string | optional |
| └ service_class | string | optional |
| └ stopover_allowed | boolean | optional |
| └ arrival_airport_code | string | optional |
| └ departure_airport_code | string | optional |
| └ refundable | boolean | optional |
| └ departure_at | integer | optional |
| └ travel_agency | string | optional |
| └ passenger_name | string | optional |
| └ lodging | object | optional |
| └ nights | integer | optional |
| └ check_in_at | integer | optional |
| └ receipt | array | optional |
| └ total | integer | optional |
| └ quantity | string | optional |
| └ unit_cost | integer | optional |
| └ description | string | optional |
| └ reference | string | optional |
Error response.
Successful response.
POST /v1/test_helpers/issuing/transactions/create_unlinked_refund
/v1/test_helpers/issuing/transactions/{transaction}/refund
Refund a test-mode Transaction.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| transaction | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
| refund_amount | integer | optional |
Error response.
Successful response.
POST /v1/test_helpers/issuing/transactions/{transaction}/refund
/v1/test_helpers/refunds/{refund}/expire
Expire a refund with a status of requires_action.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| refund | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
Error response.
Successful response.
POST /v1/test_helpers/refunds/{refund}/expire
/v1/test_helpers/terminal/readers/{reader}/present_payment_method
Presents a payment method on a simulated reader. Can be used to simulate accepting a payment, saving a card or refunding a transaction.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| reader | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| card | object | optional |
| └ cvc | string | optional |
| └ number | string | required |
| └ exp_year | integer | required |
| └ exp_month | integer | required |
| type | string | optional |
| expand | array | optional |
| amount_tip | integer | optional |
| card_present | object | optional |
| └ number | string | optional |
| interac_present | object | optional |
| └ number | string | optional |
Error response.
Successful response.
POST /v1/test_helpers/terminal/readers/{reader}/present_payment_method
/v1/test_helpers/terminal/readers/{reader}/succeed_input_collection
Use this endpoint to trigger a successful input collection on a simulated reader.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| reader | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
| skip_non_required_inputs | string | optional |
Error response.
Successful response.
POST /v1/test_helpers/terminal/readers/{reader}/succeed_input_collection
/v1/test_helpers/terminal/readers/{reader}/timeout_input_collection
Use this endpoint to complete an input collection with a timeout error on a simulated reader.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| reader | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
Error response.
Successful response.
POST /v1/test_helpers/terminal/readers/{reader}/timeout_input_collection
/v1/test_helpers/test_clocks
Returns a list of your test clocks.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ending_before | query | optional | string | A cursor for use in pagination. |
| expand | query | optional | array | Specifies which fields in the response should be expanded. |
| limit | query | optional | integer | A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10. |
| starting_after | query | optional | string | A cursor for use in pagination. |
application/x-www-form-urlencoded
Error response.
Successful response.
GET /v1/test_helpers/test_clocks
/v1/test_helpers/test_clocks
Creates a new test clock that can be attached to new customers and quotes.
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| name | string | optional |
| expand | array | optional |
| frozen_time | integer | required |
Error response.
Successful response.
POST /v1/test_helpers/test_clocks
/v1/test_helpers/test_clocks/{test_clock}
Deletes a test clock.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| test_clock | path | required | string | — |
application/x-www-form-urlencoded
Error response.
Successful response.
DELETE /v1/test_helpers/test_clocks/{test_clock}
/v1/test_helpers/test_clocks/{test_clock}
Retrieves a test clock.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| expand | query | optional | array | Specifies which fields in the response should be expanded. |
| test_clock | path | required | string | — |
application/x-www-form-urlencoded
Error response.
Successful response.
GET /v1/test_helpers/test_clocks/{test_clock}
/v1/test_helpers/test_clocks/{test_clock}/advance
Starts advancing a test clock to a specified time in the future. Advancement is done when status changes to Ready.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| test_clock | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
| frozen_time | integer | required |
Error response.
Successful response.
POST /v1/test_helpers/test_clocks/{test_clock}/advance
/v1/test_helpers/treasury/inbound_transfers/{id}/fail
Transitions a test mode created InboundTransfer to the failed status. The InboundTransfer must already be in the processing state.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
| failure_details | object | optional |
| └ code | string | optional |
Error response.
Successful response.
POST /v1/test_helpers/treasury/inbound_transfers/{id}/fail
/v1/test_helpers/treasury/inbound_transfers/{id}/return
Marks the test mode InboundTransfer object as returned and links the InboundTransfer to a ReceivedDebit. The InboundTransfer must already be in the succeeded state.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
Error response.
Successful response.
POST /v1/test_helpers/treasury/inbound_transfers/{id}/return
/v1/test_helpers/treasury/inbound_transfers/{id}/succeed
Transitions a test mode created InboundTransfer to the succeeded status. The InboundTransfer must already be in the processing state.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
Error response.
Successful response.
POST /v1/test_helpers/treasury/inbound_transfers/{id}/succeed
/v1/test_helpers/treasury/outbound_payments/{id}
Updates a test mode created OutboundPayment with tracking details. The OutboundPayment must not be cancelable, and cannot be in the canceled or failed states.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
| tracking_details | object | required |
| └ ach | object | optional |
| └ trace_id | string | required |
| └ type | string | required |
| └ us_domestic_wire | object | optional |
| └ imad | string | optional |
| └ omad | string | optional |
| └ chips | string | optional |
Error response.
Successful response.
POST /v1/test_helpers/treasury/outbound_payments/{id}
/v1/test_helpers/treasury/outbound_payments/{id}/fail
Transitions a test mode created OutboundPayment to the failed status. The OutboundPayment must already be in the processing state.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
Error response.
Successful response.
POST /v1/test_helpers/treasury/outbound_payments/{id}/fail
/v1/test_helpers/treasury/outbound_payments/{id}/post
Transitions a test mode created OutboundPayment to the posted status. The OutboundPayment must already be in the processing state.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
Error response.
Successful response.
POST /v1/test_helpers/treasury/outbound_payments/{id}/post
/v1/test_helpers/treasury/outbound_payments/{id}/return
Transitions a test mode created OutboundPayment to the returned status. The OutboundPayment must already be in the processing state.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
| returned_details | object | optional |
| └ code | string | optional |
Error response.
Successful response.
POST /v1/test_helpers/treasury/outbound_payments/{id}/return
/v1/test_helpers/treasury/outbound_transfers/{outbound_transfer}
Updates a test mode created OutboundTransfer with tracking details. The OutboundTransfer must not be cancelable, and cannot be in the canceled or failed states.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| outbound_transfer | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
| tracking_details | object | required |
| └ ach | object | optional |
| └ trace_id | string | required |
| └ type | string | required |
| └ us_domestic_wire | object | optional |
| └ imad | string | optional |
| └ omad | string | optional |
| └ chips | string | optional |
Error response.
Successful response.
POST /v1/test_helpers/treasury/outbound_transfers/{outbound_transfer}
/v1/test_helpers/treasury/outbound_transfers/{outbound_transfer}/fail
Transitions a test mode created OutboundTransfer to the failed status. The OutboundTransfer must already be in the processing state.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| outbound_transfer | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
Error response.
Successful response.
POST /v1/test_helpers/treasury/outbound_transfers/{outbound_transfer}/fail
/v1/test_helpers/treasury/outbound_transfers/{outbound_transfer}/post
Transitions a test mode created OutboundTransfer to the posted status. The OutboundTransfer must already be in the processing state.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| outbound_transfer | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
Error response.
Successful response.
POST /v1/test_helpers/treasury/outbound_transfers/{outbound_transfer}/post
/v1/test_helpers/treasury/outbound_transfers/{outbound_transfer}/return
Transitions a test mode created OutboundTransfer to the returned status. The OutboundTransfer must already be in the processing state.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| outbound_transfer | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
| returned_details | object | optional |
| └ code | string | optional |
Error response.
Successful response.
POST /v1/test_helpers/treasury/outbound_transfers/{outbound_transfer}/return
/v1/test_helpers/treasury/received_credits
Use this endpoint to simulate a test mode ReceivedCredit initiated by a third party. In live mode, you can’t directly create ReceivedCredits initiated by third parties.
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| amount | integer | required |
| expand | array | optional |
| network | string | required |
| currency | string | required |
| description | string | optional |
| financial_account | string | required |
| initiating_payment_method_details | object | optional |
| └ type | string | required |
| └ us_bank_account | object | optional |
| └ account_number | string | optional |
| └ routing_number | string | optional |
| └ account_holder_name | string | optional |
Error response.
Successful response.
POST /v1/test_helpers/treasury/received_credits
/v1/test_helpers/treasury/received_debits
Use this endpoint to simulate a test mode ReceivedDebit initiated by a third party. In live mode, you can’t directly create ReceivedDebits initiated by third parties.
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| amount | integer | required |
| expand | array | optional |
| network | string | required |
| currency | string | required |
| description | string | optional |
| financial_account | string | required |
| initiating_payment_method_details | object | optional |
| └ type | string | required |
| └ us_bank_account | object | optional |
| └ account_number | string | optional |
| └ routing_number | string | optional |
| └ account_holder_name | string | optional |
Error response.
Successful response.
POST /v1/test_helpers/treasury/received_debits
/v1/tokens
Creates a single-use token that represents a bank account’s details.
You can use this token with any v1 API method in place of a bank account dictionary. You can only use this token once. To do so, attach it to a connected account where controller.requirement_collection is application, which includes Custom accounts.
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| pii | object | optional |
| └ id_number | string | optional |
| card | object | optional |
| expand | array | optional |
| person | object | optional |
| └ dob | object | optional |
| string | optional | |
| └ phone | string | optional |
| └ gender | string | optional |
| └ address | object | optional |
| └ city | string | optional |
| └ line1 | string | optional |
| └ line2 | string | optional |
| └ state | string | optional |
| └ country | string | optional |
| └ postal_code | string | optional |
| └ metadata | object | optional |
| └ documents | object | optional |
| └ visa | object | optional |
| └ files | array | optional |
| └ passport | object | optional |
| └ files | array | optional |
| └ company_authorization | object | optional |
| └ files | array | optional |
| └ id_number | string | optional |
| └ last_name | string | optional |
| └ first_name | string | optional |
| └ ssn_last_4 | string | optional |
| └ maiden_name | string | optional |
| └ nationality | string | optional |
| └ address_kana | object | optional |
| └ city | string | optional |
| └ town | string | optional |
| └ line1 | string | optional |
| └ line2 | string | optional |
| └ state | string | optional |
| └ country | string | optional |
| └ postal_code | string | optional |
| └ relationship | object | optional |
| └ owner | boolean | optional |
| └ title | string | optional |
| └ director | boolean | optional |
| └ executive | boolean | optional |
| └ authorizer | boolean | optional |
| └ legal_guardian | boolean | optional |
| └ representative | boolean | optional |
| └ percent_ownership | object | optional |
| └ us_cfpb_data | object | optional |
| └ race_details | object | optional |
| └ race | array | optional |
| └ race_other | string | optional |
| └ ethnicity_details | object | optional |
| └ ethnicity | array | optional |
| └ ethnicity_other | string | optional |
| └ self_identified_gender | string | optional |
| └ verification | object | optional |
| └ document | object | optional |
| └ back | string | optional |
| └ front | string | optional |
| └ additional_document | object | optional |
| └ back | string | optional |
| └ front | string | optional |
| └ address_kanji | object | optional |
| └ city | string | optional |
| └ town | string | optional |
| └ line1 | string | optional |
| └ line2 | string | optional |
| └ state | string | optional |
| └ country | string | optional |
| └ postal_code | string | optional |
| └ last_name_kana | string | optional |
| └ first_name_kana | string | optional |
| └ …7 more | object | optional |
| account | object | optional |
| └ company | object | optional |
| └ name | string | optional |
| └ phone | string | optional |
| └ tax_id | string | optional |
| └ vat_id | string | optional |
| └ address | object | optional |
| └ city | string | optional |
| └ line1 | string | optional |
| └ line2 | string | optional |
| └ state | string | optional |
| └ country | string | optional |
| └ postal_code | string | optional |
| └ name_kana | string | optional |
| └ structure | string | optional |
| └ name_kanji | string | optional |
| └ address_kana | object | optional |
| └ city | string | optional |
| └ town | string | optional |
| └ line1 | string | optional |
| └ line2 | string | optional |
| └ state | string | optional |
| └ country | string | optional |
| └ postal_code | string | optional |
| └ verification | object | optional |
| └ document | object | optional |
| └ address_kanji | object | optional |
| └ city | string | optional |
| └ town | string | optional |
| └ line1 | string | optional |
| └ line2 | string | optional |
| └ state | string | optional |
| └ country | string | optional |
| └ postal_code | string | optional |
| └ owners_provided | boolean | optional |
| └ tax_id_registrar | string | optional |
| └ export_license_id | string | optional |
| └ registration_date | object | optional |
| └ directors_provided | boolean | optional |
| └ executives_provided | boolean | optional |
| └ export_purpose_code | string | optional |
| └ registration_number | string | optional |
| └ ownership_declaration | object | optional |
| └ ip | string | optional |
| └ date | integer | optional |
| └ user_agent | string | optional |
| └ …4 more | object | optional |
| └ individual | object | optional |
| └ dob | object | optional |
| string | optional | |
| └ phone | string | optional |
| └ gender | string | optional |
| └ address | object | optional |
| └ city | string | optional |
| └ line1 | string | optional |
| └ line2 | string | optional |
| └ state | string | optional |
| └ country | string | optional |
| └ postal_code | string | optional |
| └ metadata | object | optional |
| └ id_number | string | optional |
| └ last_name | string | optional |
| └ first_name | string | optional |
| └ ssn_last_4 | string | optional |
| └ maiden_name | string | optional |
| └ address_kana | object | optional |
| └ city | string | optional |
| └ town | string | optional |
| └ line1 | string | optional |
| └ line2 | string | optional |
| └ state | string | optional |
| └ country | string | optional |
| └ postal_code | string | optional |
| └ relationship | object | optional |
| └ owner | boolean | optional |
| └ title | string | optional |
| └ director | boolean | optional |
| └ executive | boolean | optional |
| └ percent_ownership | object | optional |
| └ verification | object | optional |
| └ document | object | optional |
| └ additional_document | object | optional |
| └ address_kanji | object | optional |
| └ city | string | optional |
| └ town | string | optional |
| └ line1 | string | optional |
| └ line2 | string | optional |
| └ state | string | optional |
| └ country | string | optional |
| └ postal_code | string | optional |
| └ last_name_kana | string | optional |
| └ first_name_kana | string | optional |
| └ last_name_kanji | string | optional |
| └ first_name_kanji | string | optional |
| └ full_name_aliases | object | optional |
| └ …3 more | object | optional |
| └ business_type | string | optional |
| └ tos_shown_and_accepted | boolean | optional |
| customer | string | optional |
| cvc_update | object | optional |
| └ cvc | string | required |
| bank_account | object | optional |
| └ country | string | required |
| └ currency | string | optional |
| └ account_type | string | optional |
| └ account_number | string | required |
| └ payment_method | string | optional |
| └ routing_number | string | optional |
| └ account_holder_name | string | optional |
| └ account_holder_type | string | optional |
Error response.
Successful response.
POST /v1/tokens
/v1/tokens/{token}
Retrieves the token with the given ID.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| expand | query | optional | array | Specifies which fields in the response should be expanded. |
| token | path | required | string | — |
application/x-www-form-urlencoded
Error response.
Successful response.
GET /v1/tokens/{token}
/v1/topups
Returns a list of top-ups.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| amount | query | optional | A positive integer representing how much to transfer. |
|
| created | query | optional | A filter on the list, based on the object |
|
| ending_before | query | optional | string | A cursor for use in pagination. |
| expand | query | optional | array | Specifies which fields in the response should be expanded. |
| limit | query | optional | integer | A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10. |
| starting_after | query | optional | string | A cursor for use in pagination. |
| status | query | optional | string | Only return top-ups that have the given status. One of |
application/x-www-form-urlencoded
Error response.
Successful response.
GET /v1/topups
/v1/topups
Top up the balance of an account
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| amount | integer | required |
| expand | array | optional |
| source | string | optional |
| currency | string | required |
| metadata | object | optional |
| description | string | optional |
| transfer_group | string | optional |
| statement_descriptor | string | optional |
Error response.
Successful response.
POST /v1/topups
/v1/topups/{topup}
Retrieves the details of a top-up that has previously been created. Supply the unique top-up ID that was returned from your previous request, and Stripe will return the corresponding top-up information.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| expand | query | optional | array | Specifies which fields in the response should be expanded. |
| topup | path | required | string | — |
application/x-www-form-urlencoded
Error response.
Successful response.
GET /v1/topups/{topup}
/v1/topups/{topup}
Updates the metadata of a top-up. Other top-up details are not editable by design.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| topup | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
| metadata | object | optional |
| description | string | optional |
Error response.
Successful response.
POST /v1/topups/{topup}
/v1/topups/{topup}/cancel
Cancels a top-up. Only pending top-ups can be canceled.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| topup | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
Error response.
Successful response.
POST /v1/topups/{topup}/cancel
/v1/transfers
Returns a list of existing transfers sent to connected accounts. The transfers are returned in sorted order, with the most recently created transfers appearing first.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| created | query | optional | Only return transfers that were created during the given date interval. |
|
| destination | query | optional | string | Only return transfers for the destination specified by this account ID. |
| ending_before | query | optional | string | A cursor for use in pagination. |
| expand | query | optional | array | Specifies which fields in the response should be expanded. |
| limit | query | optional | integer | A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10. |
| starting_after | query | optional | string | A cursor for use in pagination. |
| transfer_group | query | optional | string | Only return transfers with the specified transfer group. |
application/x-www-form-urlencoded
Error response.
Successful response.
GET /v1/transfers
/v1/transfers
To send funds from your Stripe account to a connected account, you create a new transfer object. Your Stripe balance must be able to cover the transfer amount, or you’ll receive an “Insufficient Funds” error.
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| amount | integer | optional |
| expand | array | optional |
| currency | string | required |
| metadata | object | optional |
| description | string | optional |
| destination | string | required |
| source_type | string | optional |
| transfer_group | string | optional |
| source_transaction | string | optional |
Error response.
Successful response.
POST /v1/transfers
/v1/transfers/{id}/reversals
You can see a list of the reversals belonging to a specific transfer. Note that the 10 most recent reversals are always available by default on the transfer object. If you need more than those 10, you can use this API method and the limit and starting_after parameters to page through additional reversals.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ending_before | query | optional | string | A cursor for use in pagination. |
| expand | query | optional | array | Specifies which fields in the response should be expanded. |
| id | path | required | string | — |
| limit | query | optional | integer | A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10. |
| starting_after | query | optional | string | A cursor for use in pagination. |
application/x-www-form-urlencoded
Error response.
Successful response.
GET /v1/transfers/{id}/reversals
/v1/transfers/{id}/reversals
When you create a new reversal, you must specify a transfer to create it on.
When reversing transfers, you can optionally reverse part of the transfer. You can do so as many times as you wish until the entire transfer has been reversed.
Once entirely reversed, a transfer can’t be reversed again. This method will return an error when called on an already-reversed transfer, or when trying to reverse more money than is left on a transfer.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| amount | integer | optional |
| expand | array | optional |
| metadata | object | optional |
| description | string | optional |
| refund_application_fee | boolean | optional |
Error response.
Successful response.
POST /v1/transfers/{id}/reversals
/v1/transfers/{transfer}
Retrieves the details of an existing transfer. Supply the unique transfer ID from either a transfer creation request or the transfer list, and Stripe will return the corresponding transfer information.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| expand | query | optional | array | Specifies which fields in the response should be expanded. |
| transfer | path | required | string | — |
application/x-www-form-urlencoded
Error response.
Successful response.
GET /v1/transfers/{transfer}
/v1/transfers/{transfer}
Updates the specified transfer by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
This request accepts only metadata as an argument.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| transfer | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
| metadata | object | optional |
| description | string | optional |
Error response.
Successful response.
POST /v1/transfers/{transfer}
/v1/transfers/{transfer}/reversals/{id}
By default, you can see the 10 most recent reversals stored directly on the transfer object, but you can also retrieve details about a specific reversal stored on the transfer.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| expand | query | optional | array | Specifies which fields in the response should be expanded. |
| id | path | required | string | — |
| transfer | path | required | string | — |
application/x-www-form-urlencoded
Error response.
Successful response.
GET /v1/transfers/{transfer}/reversals/{id}
/v1/transfers/{transfer}/reversals/{id}
Updates the specified reversal by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
This request only accepts metadata and description as arguments.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | string | — |
| transfer | path | required | string | — |
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
| metadata | object | optional |
Error response.
Successful response.
POST /v1/transfers/{transfer}/reversals/{id}
/v1/treasury/credit_reversals
Returns a list of CreditReversals.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ending_before | query | optional | string | A cursor for use in pagination. |
| expand | query | optional | array | Specifies which fields in the response should be expanded. |
| financial_account | query | required | string | Returns objects associated with this FinancialAccount. |
| limit | query | optional | integer | A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10. |
| received_credit | query | optional | string | Only return CreditReversals for the ReceivedCredit ID. |
| starting_after | query | optional | string | A cursor for use in pagination. |
| status | query | optional | string | Only return CreditReversals for a given status. |
application/x-www-form-urlencoded
Error response.
Successful response.
GET /v1/treasury/credit_reversals
/v1/treasury/credit_reversals
Reverses a ReceivedCredit and creates a CreditReversal object.
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
| metadata | object | optional |
| received_credit | string | required |
Error response.
Successful response.
POST /v1/treasury/credit_reversals
/v1/treasury/credit_reversals/{credit_reversal}
Retrieves the details of an existing CreditReversal by passing the unique CreditReversal ID from either the CreditReversal creation request or CreditReversal list
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| credit_reversal | path | required | string | — |
| expand | query | optional | array | Specifies which fields in the response should be expanded. |
application/x-www-form-urlencoded
Error response.
Successful response.
GET /v1/treasury/credit_reversals/{credit_reversal}
/v1/treasury/debit_reversals
Returns a list of DebitReversals.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ending_before | query | optional | string | A cursor for use in pagination. |
| expand | query | optional | array | Specifies which fields in the response should be expanded. |
| financial_account | query | required | string | Returns objects associated with this FinancialAccount. |
| limit | query | optional | integer | A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10. |
| received_debit | query | optional | string | Only return DebitReversals for the ReceivedDebit ID. |
| resolution | query | optional | string | Only return DebitReversals for a given resolution. |
| starting_after | query | optional | string | A cursor for use in pagination. |
| status | query | optional | string | Only return DebitReversals for a given status. |
application/x-www-form-urlencoded
Error response.
Successful response.
GET /v1/treasury/debit_reversals
/v1/treasury/debit_reversals
Reverses a ReceivedDebit and creates a DebitReversal object.
application/x-www-form-urlencoded
| Property | Type | Required |
|---|---|---|
| expand | array | optional |
| metadata | object | optional |
| received_debit | string | required |
Error response.
Successful response.
POST /v1/treasury/debit_reversals
/v1/treasury/debit_reversals/{debit_reversal}
Retrieves a DebitReversal object.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| debit_reversal | path | required | string | — |
| expand | query | optional | array | Specifies which fields in the response should be expanded. |
application/x-www-form-urlencoded
Error response.
Successful response.
GET /v1/treasury/debit_reversals/{debit_reversal}
/v1/treasury/financial_accounts
Returns a list of FinancialAccounts.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| created | query | optional | Only return FinancialAccounts that were created during the given date interval. |
|
| ending_before | query | optional | string | An object ID cursor for use in pagination. |
| expand | query | optional | array | Specifies which fields in the response should be expanded. |
| limit | query | optional | integer | A limit ranging from 1 to 100 (defaults to 10). |
| starting_after | query | optional | string | An object ID cursor for use in pagination. |
| status | query | optional | string | Only return FinancialAccounts that have the given status: |
application/x-www-form-urlencoded
Error response.
Successful response.
GET /v1/treasury/financial_accounts